Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.oti.shared
Class SharedDataHelperFactoryImpl

    java.lang.Object
      com.ibm.oti.shared.SharedAbstractHelperFactory
          com.ibm.oti.shared.SharedDataHelperFactoryImpl

All Implemented Interfaces:
  SharedDataHelperFactory

    public class SharedDataHelperFactoryImpl

extends SharedAbstractHelperFactory
implements SharedDataHelperFactory

Implementation of SharedDataHelperFactory.

See Also:
  `SharedClassHelperFactory`, `SharedAbstractHelperFactory`

Constructor Summary
`SharedDataHelperFactoryImpl()`

Method Summary
`SharedDataHelper` | `getDataHelper(java.lang.ClassLoader owner)` Return a SharedDataHelper for a given ClassLoader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedDataHelperFactoryImpl

    public SharedDataHelperFactoryImpl()

Method Detail

### getDataHelper

    public SharedDataHelper getDataHelper(java.lang.ClassLoader owner)

  Description copied from interface: `SharedDataHelperFactory`
  Return a SharedDataHelper for a given ClassLoader.

  Creates a new SharedDataHelper if one cannot be found, otherwise if a SharedDataHelper already exists for the ClassLoader, the existing Helper is returned.
  Returns null if a SecurityManager is installed and there is no SharedClassPermission for the ClassLoader specified.

  Specified by:
    `getDataHelper` in interface `SharedDataHelperFactory`
  Parameters:
    `owner` - ClassLoader. The ClassLoader which owns the SharedDataHelper
  Returns:
    SharedDataHelper. A new or existing SharedDataHelper
  See Also:
    `SharedDataHelper`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD